package com.msg.controller;

import com.hai.common.utils.ResponseMsgUtil;
import com.hai.model.ResponseData;
import com.hai.service.WebSocket;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/test")
@Api(value = "订单接口")
public class HighMegController {

    @Autowired
    private WebSocket webSocket;

    private static Logger log = LoggerFactory.getLogger(HighMegController.class);

    @RequestMapping(value = "/websocket", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "websocket")
    public ResponseData websocket(
            @RequestParam(name = "userId", required = true) String userId,
            @RequestParam(name = "message", required = true) String message
    ) {
        try {

            webSocket.SenderMessage(userId ,message);
            return ResponseMsgUtil.success("成功");

        } catch (Exception e) {
            log.error("HighOrderController --> unionStagingPay() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }

}
